Skip to main content
GET
/
v1
/
customers
/
{id}
Get a customer by ID
curl --request GET \
  --url https://api.sandbox.busha.so/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.busha.so/v1/customers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.busha.so/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "message for success",
  "data": {
    "first_name": "John",
    "last_name": "John",
    "id": "bus_123456789",
    "business_id": "bus_123456789",
    "email": "bCnW7@example.com",
    "country_id": "NG",
    "phone": "+2348012345678",
    "address": {
      "country_id": "NG",
      "address_line_1": "RT Lawal",
      "city": "Lekki",
      "state": "Lagos",
      "county": "Mombasa",
      "address_line_2": "",
      "province": "province",
      "postal_code": "12345"
    },
    "display_currency": "BTC",
    "deposit": true,
    "payout": true,
    "has_accepted_terms_of_service": true,
    "level": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "middle_name": "Smith",
    "rejection_reasons": [
      "<string>"
    ],
    "requirements_due": [
      "<string>"
    ],
    "future_requirements_due": [
      "<string>"
    ],
    "beneficial_owners": [
      {
        "id": "<string>",
        "email": "bCnW7@example.com"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string<nanoid>
required
Example:

"bus_123456789"

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required

Individual name requirements